Subject: Re: [PATCH 3/4] dsa: mv88e6xxx: Delete ppu timer when removing module

From: Vivien Didelot <[email-masked]>
Date: Mon, 22 Aug 2016 11:39:07 -0400

Hi Andrew,

Andrew Lunn <[email-masked]> writes:

> On Mon, Aug 22, 2016 at 10:51:03AM -0400, Vivien Didelot wrote:
>> Hi Andrew,
>> 
>> Andrew Lunn <[email-masked]> writes:
>> 
>> > The PPU method of accessing PHYs makes use of a timer. Make sure this
>> > timer is deleted before unloading the driver.
>> >
>> > Reported-by: Jamie Lentin <[email-masked]>
>> > Signed-off-by: Andrew Lunn <[email-masked]>
>> 
>> I'm wondering if the PPU shouldn't be disabled before unloading the
>> module...
>
> Humm, i did not thing about that.
>
> Actually, we have a general issue here. On unload, we leave the switch
> 'running'. The SF2 driver disables all the ports. The b53 seems to
> leave the switch running.

That is true. We also certainly want to put the common logic in the DSA
layer.

> We should define a general policy about this, and implement it in all
> drivers. As such, your comment is valid, but a different patch set.

I agree, that's why I added my tag to that patch ;-)

Thanks,

        Vivien